aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-16 19:47:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-16 19:47:19 +0000
commitb1aa63bbcc26e272aedc0b1097728d3d599b907e (patch)
treebc7739cce8d437def41698b1f107b65d60c59f0f /x11
parent95cb6b291e5e60abb8c8e68da3a11ecfd8895281 (diff)
downloadaports-b1aa63bbcc26e272aedc0b1097728d3d599b907e.tar.gz
aports-b1aa63bbcc26e272aedc0b1097728d3d599b907e.tar.bz2
aports-b1aa63bbcc26e272aedc0b1097728d3d599b907e.tar.xz
x11/feh: new aport
feh is a fast, lightweight image viewer which uses imlib2 http://www.linuxbrit.co.uk/feh/
Diffstat (limited to 'x11')
-rw-r--r--x11/feh/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/feh/APKBUILD b/x11/feh/APKBUILD
new file mode 100644
index 0000000000..a609b8d994
--- /dev/null
+++ b/x11/feh/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=feh
+pkgver=1.3.4
+pkgrel=0
+pkgdesc="feh is a fast, lightweight image viewer which uses imlib2"
+url="http://www.linuxbrit.co.uk/feh/"
+license="MIT"
+subpackages="$pkgname-doc"
+depends=
+makedepends="libxt-dev libpng-dev giblib-dev imlib2-dev jpeg-dev"
+source="http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR=$pkgdir docsdir=/usr/share/doc/feh install || return 1
+ install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}
+md5sums="3d35ba3d2f0693b019800787f1103891 feh-1.3.4.tar.gz"